using System.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using TechTalk.SpecFlow;
using WatiN.Core;
using Calculator.AcceptanceTests.StepHelpers;

namespace Calculator.AcceptanceTests.SharedSteps
{
    [Binding]
    public class Authentication
    {
        [Given(@"the user role is simple")]
        public void TheUserRoleIsSimple()
        {
            WebBrowser.Current.GoTo(ConfigurationManager.AppSettings["LocalDebug"] + "?role=simple");
        }

        [Given(@"the user role is advance")]
        public void TheUserRoleIsAdvance()
        {
            WebBrowser.Current.GoTo(ConfigurationManager.AppSettings["LocalDebug"] + "?role=advance");
        }
    }
}
